T3DDatafield< T >::ConstRange Class Reference

`#include <mia/3d/datafield.hh>`

## Public Types

typedef T3DDatafield< T >::const_range_iterator | iterator

## Public Member Functions

iterator | begin () const
iterator | end () const

## Friends

class | T3DDatafield< T >

## Detailed Description

template<class T>
class T3DDatafield< T >::ConstRange

Definition at line 154 of file 3d/datafield.hh.

## Member Typedef Documentation

## iterator

template<class T>

typedef T3DDatafield<T>::const_range_iterator T3DDatafield< T >::ConstRange::iterator

Definition at line 159 of file 3d/datafield.hh.

## Member Function Documentation

## begin()

template<class T>

iterator T3DDatafield< T >::ConstRange::begin | ( |  | ) | const

## end()

template<class T>

iterator T3DDatafield< T >::ConstRange::end | ( |  | ) | const

References end(), and T3DDatafield< T >::T3DDatafield().

Referenced by end().

## Friends And Related Symbol Documentation

## T3DDatafield< T >

template<class T>

friend class T3DDatafield< T >

friend

Definition at line 151 of file 3d/datafield.hh.

The documentation for this class was generated from the following file:

- 3d/datafield.hh